@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap');


body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: rgb(250, 246,242);
}

.header-container{
    display: flex;
    justify-content: space-between;
    width: 100%;
    position: absolute;
    background-color: rgb(19, 109, 88);
    z-index: 2;
}

.logo{
    height: 50px;
    margin: 20px;
}

.left-side-navbar,
.right-side-navbar{
    display: flex;
    gap: 20px;
    align-items: center;
    margin-top: 10px;
}

.btn{
    text-decoration: none;
    font-size: 20px;
    color: white;
    transition: 1s;
    animation: navbar-anim 2s ease 0s 1 normal forwards;
}

.right-side-navbar a{
    border: solid;
    border-color: white;
    padding: 10px;
    border-radius: 40px;
    margin-right: 20px;
    
}



.left-side-navbar a:hover{
    transform: translateY(-5px);
    color:black;
}

.right-side-navbar a:hover{
    color:black;
    background-color: white;
}


/*              SLIDE ONE               */
.image-label{
    height:500px;
    position: absolute;
    z-index: 2;
    left: 50%;
    top: 10%;
}

.slide-one{
    background-color: rgb(19, 109, 88);
    height: 550px;
    position: relative;
}

.first-text-container{
    position: absolute;
    top:20%;
    left: 10%;
}

.slide-one-big-text{
    font-size: 40px;
    width: 40%;
    font-weight: 300;
    color: white;
    opacity: 0;
    animation: slide-one-anim 2s ease .5s 1 normal forwards;
}

.slide-one-small-text{
    width: 35%;
    font-size: 18px;
    color: white;
    opacity: 0;
    animation: slide-one-anim 2s ease 1s 1 normal forwards;
}

.slide-one-buttons{
    position: absolute;
    bottom: -20%;
    display: flex;
    gap: 20px;
    opacity: 0;
    animation: slide-one-anim 2s ease 1.5s 1 normal forwards;
    transition-delay: 3s;
}

.slide-one-button{
    text-decoration: none;
    color: white;
    border: solid;
    border-color: white;
    border-radius: 30px;
    padding: 10px;
    margin-top: 40px;
    transition: 1s;
}

.slide-one-button:hover{
    background-color: white;
    color:black;
}

/*              SLIDE TWO            */

.slide-two{
    height: 70px;
    background-color: rgb(19, 109, 88); 
    padding: 10px;   
}

.company-labels{
    width: 100%;
    display: flex;
    justify-content: space-around;
    margin-top: 10px;
    background-color: rgba(0, 0, 0, 0.474);
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}

.company-labels img{
    height: 30px;
    padding: 20px;
    width: 100px;
}

/*          SLIDE THREE */

.slide-three{
    position: relative;
}

.text-container{
    margin-top: 50px;
    margin-left: 50px;
    width: 40%;
}

.text-container h1{
    font-size: 50px;
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 0;
}

.text-container h3{
    font-size: 20px;
    font-weight: 100;
    margin-bottom: 0;
}

.text-container h4{
    color: blue;
    font-weight: 200;
}

.percent-table{
    margin: 50px;
    background-color: rgb(35, 37, 37);
    border-radius: 20px;
    filter: drop-shadow(5px 7px 20px #000000);
}

.row{
    display: flex;
    justify-content: space-around;
    
}

#cards{
    position: absolute;
    top: 20%;
    z-index: 0;
    left: 60%;
}

.col{
    margin-left: 10px;
    color: white;
    padding: 20px;

    h1{
        font-size: 55px;
        font-family: PT Sans, sans-serif;
        font-weight: 400;
        filter: drop-shadow(5px 5px 6px #000000);
    }
    h2{
        font-size: 24;
        font-family: PT Sans, sans-serif;
        font-weight: 400;
    }
    h3{
        font-size: 16px;
        font-family: PT Sans, sans-serif;
        font-weight: 400;
        margin-bottom: 50px;
    }
    a{
        text-decoration: none;
        color: white;
        font-size: 16px;
        transition: 1s;
    }
    a:hover{
        color:aqua;
        transform: translateX(20px);
    }
}

#slide-three-lbl{
    background: none;
}

#slide-three-lbl img{
    height: 100%;
    background-color: none;
}

/*          SLIDE FOUR          */

.slide-four{
    background-color: rgb(214,228,226);
}

.card-section{
    height: 100px;
    height: 25%;
    display: flex;
    justify-content: space-between;
}

.image-card img{
    transform: translateY(150px);
    opacity: 0;
    transition: 1s;
    transition-delay: .5s;
}

.text-card{
    padding-top: 10px;
    padding-left: 40px;
    align-items: center;
    transform: translateY(150px);
    opacity: 0;
    transition: 1s;
    h1{
        font-size: 55px;
        font-weight:500;
        width: 60%;
    }

   h4{
    font-weight: 100;
    color: blue;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 10px;
   } 


   ul {
    list-style: none;
        li:before{
            content: "\2713";
        }
   }

   #reverse{
    padding-left: 0;
    padding-right: 40px;
   }
   
}

.show{
    .text-card{
        transform: translateY(0);
        opacity: 1;
    }

    .image-card img{
        transform: translateY(0);
        opacity: 1;
    }
}

/*              SECTION JOIN */

.join{
    height: 250px;
    background-color: rgb(23,65,58);
    padding: 10px;
    display: flex;
    justify-content: space-between;

    .text-container{
        width: 30%;

        h1{
            font-size: 55px;
            color: white;
            margin: 0;
        }
        h4{
            font-size: 24px;
            color:white;
        }
    }

    .buttons-container{
        padding: 10px;
        text-align: center;
        margin: auto auto;
        gap: 40px;
            div{
                margin-bottom: 30px; 
                border: solid;
                border-color: white;
                border-radius: 20px;
                transition: 1s;
                
                    a{
                        font-size: 24px;
                        color: white;
                        text-decoration: none;
                        padding: 5px;
                        padding-inline: 100px;
                        transition: 1s;                        
                    }            
        }
                div:hover {
                    background-color: white;
                    a{color: black;}
                }
        .footer-button{
            padding-top: 10px;
            padding-bottom: 10px;
        }

    }
    
}

.footer{
    background-color: rgb(23, 65, 58);
}

#footer-row{
    justify-content: space-around;
    margin-right: 100px;
    width: 100%;
}

.footer-table{
    display: flex;
    justify-content: space-between;
}

#footer-col-logo{
    width: 100%;
    font-size: 24px;
}

#footer-col p a{
    color: rgb(144, 144, 144);
    transition: 1s;
}

#footer-col h3{
    font-size: 30px;
    margin-bottom: 0;
}

#footer-col p a:hover{
    color: white;
}

.footer-policy{
    display: flex;
    justify-content: space-between;
}

.footer-text{
    display: flex;
    font-size: 16px;
    color: white;
    margin-left: 20px
}

.footer-links {
    display: flex;
    gap: 10px;
    padding: 10px;
    margin-right: 20px;

    img{
        height: 30px;
        transition: .5s;
    }
    img:hover{
        transform: translateY(-5px);
        padding-inline: 10px;
    }
}




@keyframes navbar-anim {
    0% {
        opacity: 0;
        transform: translateY(-250px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slide-one-anim {
    0% {
        opacity: 0;
        transform: translateY(250px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
